#ifndef BAKED_H_
#define BAKED_H_

#include "incbin/incbin.h"

INCBIN_EXTERN(gpp1);

INCBIN_EXTERN(home_t);
INCBIN_EXTERN(page_missing_t);

INCBIN_EXTERN(simple_min_css);
INCBIN_EXTERN(favicon_ico);

typedef struct {
    char *key;  // path
    int value;     // memfd
} Baked_Resource;

void init_baked_resources(void);
void free_baked_resources(void);
bool get_baked_resource_path(char *key, char *buf, size_t size);

#endif // BAKED_H_
